#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides incidence editor
Name:           incidenceeditor
Epoch:          2
Version: 24.11.80
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar and eventviews
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)

BuildRequires:  cmake(KGantt6)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6TextWidgets)

BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KPim6CalendarSupport) >= 5.240
BuildRequires:  cmake(KPim6EventViews) >= 5.240
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6AkonadiCalendar)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KPim6TextEdit)
BuildRequires:  cmake(KPim6IdentityManagementCore)


%description
This lib provides incidence editor.

%files -f %name.lang
%_kf6_categoriesdir/incidenceeditor.categories
%_kf6_categoriesdir/incidenceeditor.renamecategories

#--------------------------------------------------------------------

%define kpimincidenceeditor_major 6
%define libkpimincidenceeditor %mklibname kpim6incidenceeditor %{kpimincidenceeditor_major}

%package -n %libkpimincidenceeditor
Summary:        This lib provides incidence editor
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkpimincidenceeditor
This lib provides incidence editor.

%files -n %libkpimincidenceeditor
%_kf6_libdir/libKPim6IncidenceEditor.so.%{kpimincidenceeditor_major}{,.*}

#--------------------------------------------------------------------

%define kincidenceeditor_devel %mklibname kpim6incidenceeditor -d

%package -n %kincidenceeditor_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %epoch:%version-%release
Requires:       %libkpimincidenceeditor = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kincidenceeditor_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kincidenceeditor_devel
%_includedir/KPim6/IncidenceEditor/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6IncidenceEditor/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Sun Nov 17 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2116288
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2113978
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105477
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097336
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087539
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085025
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073143
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069733
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058543
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2046539
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037587
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033716
- New version 24.01.90

* Thu Jan 04 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2027354
- New version 24.01.85

* Mon Nov 20 2023 neoclust <neoclust> 2:24.01.75-1.mga10
+ Revision: 2008475
- New version 24.01.75

* Sat Sep 30 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1992265
- New version 23.08.1

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959373
- New version 23.04.1

* Thu Mar 23 2023 daviddavid <daviddavid> 2:22.12.3-2.mga9
+ Revision: 1950181
- drop no more needed by the project Qt5WebKit build dependency

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946429
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941719
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922842
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911334
- New version 22.11.90

* Sun Nov 13 2022 papoteur <papoteur> 2:22.08.3-2.mga9
+ Revision: 1906844
+ rebuild (emptylog)

* Sun Nov 13 2022 papoteur <papoteur> 3:22.08.3-1.mga9
+ Revision: 1906782
- rebuild because upload failed

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905189
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886710
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1880688
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873005
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853899
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852350
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1763790
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1723992
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718287
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698484
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694023
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655546
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1643932
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633738
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626990
- New version 20.08.1

* Sat Aug 22 2020 daviddavid <daviddavid> 2:20.08.0-2.mga8
+ Revision: 1617827
- update build dependencies

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614855
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604054
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596786
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584437
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568068
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559258
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540778
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513228
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466872
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457832
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447673
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1426065
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390380
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387584
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381936
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375461
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365499
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356435
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339448
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332679
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327332
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298295
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228887
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201829
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194853
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186390
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142971
- New version 17.08.0

* Wed Aug 09 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139115
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 2:17.04.3-2.mga7
+ Revision: 1131405
- Add missing Epoch

* Thu Jul 27 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131356
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090009
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076744
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073979
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067277
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061336
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-3.mga6
+ Revision: 1055497
- Do not build on armv5tl

* Mon Sep 19 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1054181
- Rebuild for arm

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050603
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-2.mga6
+ Revision: 1049743
- Exclude armv5 as it needs qtwebengine to build

* Tue Aug 23 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048071
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1039998
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012488
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1006045
- New version 16.04.0

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 997281
- Fix wrong require on %%name

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997260
- imported package incidenceeditor

